summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel LEVAI2013-01-07 20:13:05 +0100
committer dsomero2013-01-10 00:52:25 +0100
commit63c9ff04ff5430ebcd7b8d0941b02fc27b01ee7f (patch)
tree45b531404a67074087c91b455b6517fc5cf88f75
parent1da156fecc87441a78521fb4ce553c81ef82eba7 (diff)
downloadslackbuilds-63c9ff04ff5430ebcd7b8d0941b02fc27b01ee7f.tar.gz
system/lzop: Added (LZO archiver).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--system/lzop/README5
-rw-r--r--system/lzop/lzop.SlackBuild96
-rw-r--r--system/lzop/lzop.info10
-rw-r--r--system/lzop/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/system/lzop/README b/system/lzop/README
new file mode 100644
index 0000000000..a3f0588e5a
--- /dev/null
+++ b/system/lzop/README
@@ -0,0 +1,5 @@
+lzop is a LZO archiver. It uses the LZO data compression library
+for compression services, and its main advantages over gzip are
+much higher compression and decompression speed (at the cost of
+some compression ratio).
+lzop is the fastest (de)compresser around.
diff --git a/system/lzop/lzop.SlackBuild b/system/lzop/lzop.SlackBuild
new file mode 100644
index 0000000000..ea1808c64c
--- /dev/null
+++ b/system/lzop/lzop.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for lzop
+
+# Copyright (c) 2011, 2012, 2013 Daniel LEVAI
+# All rights reserved.
+#
+# * Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright notice
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lzop
+VERSION=1.03
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ];then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/man
+make
+DESTDIR=$PKG make install
+
+strip --strip-unneeded $PKG/usr/bin/lzop
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p -m 755 $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING INSTALL NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/lzop/lzop.info b/system/lzop/lzop.info
new file mode 100644
index 0000000000..18cf8de27f
--- /dev/null
+++ b/system/lzop/lzop.info
@@ -0,0 +1,10 @@
+PRGNAM="lzop"
+VERSION="1.03"
+HOMEPAGE="http://www.lzop.org/"
+DOWNLOAD="http://www.lzop.org/download/lzop-1.03.tar.gz"
+MD5SUM="006c5e27fb78cdd14a628fdfa5aa1905"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Daniel LEVAI"
+EMAIL="leva@ecentrum.hu"
diff --git a/system/lzop/slack-desc b/system/lzop/slack-desc
new file mode 100644
index 0000000000..1175ce3f42
--- /dev/null
+++ b/system/lzop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lzop: lzop (LZO archiver)
+lzop:
+lzop: lzop uses the LZO data compression library for compression services,
+lzop: and its main advantages over gzip are much higher compression and
+lzop: decompression speed (at the cost of some compression ratio).
+lzop: lzop is the fastest (de)compresser around.
+lzop:
+lzop: Homepage: http://www.lzop.org/
+lzop:
+lzop:
+lzop: